## mx-packageinstaller 24.8.05

=== debian/changelog ===
mx-packageinstaller (24.8.05) mx; urgency=medium

  * Added an "Autoremovable" item in combo box filter to list autoremovable
    packages in the "Enabled" tab
  * Added option to mark autoremovable packages as "manually installed" to
    prevent them from being autoremoved
  * Renamed "remove orphan packages" to "autoremove packages"
  * Save combo box filter selection when changing tabs
  * Disable MX test and Backports while loading Enabled sources at startup
  * Disable other tabs while a tab is loading

 -- Adrian <adrian@mxlinux.org>  Wed, 31 Jul 2024 22:45:23 -0400
