## mx-packageinstaller 24.8.07

=== debian/changelog ===
mx-packageinstaller (24.8.07) mx; urgency=medium

  * Run apt-get --dry-run autoremove as normal user

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Aug 2024 11:42:27 -0400
