## mx-packageinstaller 24.8.09

=== debian/changelog ===
mx-packageinstaller (24.8.09) mx; urgency=medium

  * Add an Installed Version alongside Repo Version column

 -- Adrian <adrian@mxlinux.org>  Fri, 16 Aug 2024 22:47:13 -0400
