## mx-packageinstaller 24.9

=== debian/changelog ===
mx-packageinstaller (24.9) mx; urgency=medium

  * Fix: packages with no description were not listed as installed

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Sep 2024 14:48:35 -0400
