## mx-packageinstaller 24.11.04

=== debian/changelog ===
mx-packageinstaller (24.11.04) mx; urgency=medium

  * Update flatpaks only if manually refreshed (list might show blank if flatpaks
    were never used on the system, but it's worth the time saving)
  * Fix displaying tab when rejecting flatpak installation

 -- Adrian <adrian@mxlinux.org>  Wed, 13 Nov 2024 16:12:21 -0500
