## mx-packageinstaller 24.12.05

=== debian/changelog ===
mx-packageinstaller (24.12.05) mx; urgency=medium

  * Set version number during build from changelog within debian/rules

 -- fehlix <fehlix@mxlinux.org>  Tue, 31 Dec 2024 15:11:46 -0500
