## mx-packageinstaller 25.1

=== debian/changelog ===
mx-packageinstaller (25.1) mx; urgency=medium

  * Fix crash when switching back to Popular tab after searching in another
    tab
  * Minor optimizations
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Jan 2025 12:18:23 -0500
