## mx-packageinstaller 25.2

=== debian/changelog ===
mx-packageinstaller (25.2) mx; urgency=medium

  * Minor change, check for mx.sources in addition to mx.list

 -- Adrian <adrian@mxlinux.org>  Tue, 11 Feb 2025 00:14:29 -0500
