## mx-packageinstaller 25.2.01

=== debian/changelog ===
mx-packageinstaller (25.2.01) mx; urgency=medium

  * Add CTRL-F to change focus to search field

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Feb 2025 12:53:23 -0500
