## mx-packageinstaller 25.3

=== debian/changelog ===
mx-packageinstaller (25.3) mx; urgency=medium

  * Implements wildcard (*, ?) search

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Mar 2025 09:19:36 -0400
