## mx-packageinstaller 25.5

=== debian/changelog ===
mx-packageinstaller (25.5) mx; urgency=medium

  * Update policy actions to run some commands without popping up an
    authentication dialog
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 07 Apr 2025 22:28:43 -0400
