## mx-packageinstaller 25.6.01

=== debian/changelog ===
mx-packageinstaller (25.6.01) mx; urgency=medium

  * Fix localization

 -- Adrian <adrian@mxlinux.org>  Wed, 18 Jun 2025 20:56:55 -0400
