## mx-packageinstaller 25.7

=== debian/changelog ===
mx-packageinstaller (25.7) mx; urgency=medium

  * Fix checkinstall function, selecting multiple installed packages
    should give the option to uninstall them

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Jul 2025 12:13:33 -0400
