=== debian/changelog ===
mx-packageinstaller (25.08) mx; urgency=medium

  * Fix: detection for multiple packages

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Aug 2025 11:57:07 -0400
