=== debian/control ===
Source: mx-packageinstaller
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-packageinstaller
Homepage: https://github.com/MX-Linux/mx-packageinstaller

Package: mx-packageinstaller
Architecture: any
Depends: aptitude,
         mx-packageinstaller-pkglist (>= 17.4),
         xdg-utils | mx-viewer,
         socat,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: flatpak (<< 1.0) | xdg-desktop-portal-gtk,
         flatpak (>= 0.8.9) [amd64]
Replaces: mx-debian-backports-installer,
          mx-package-manager,
          mx-package-manager-pkglist,
          mx-test-repo-installer
Provides: mx-debian-backports-installer, mx-test-repo-installer
Conflicts: mx-debian-backports-installer, mx-test-repo-installer
Description: Package installation tool for MX Linux
 MX Package Installer is a graphical utility that allows users to easily
 install and manage software packages on MX Linux. It provides a user-friendly
 interface for:
  * Installing popular applications from various repositories
  * Managing packages from the MX Test repository
  * Installing software from Debian Backports
  * Installing and managing Flatpak applications
  * Simplifying package management without requiring command line knowledge
