## mx-packageinstaller 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,21 @@
 
 cmake_minimum_required(VERSION 3.16)
 
+# Get version from debian/changelog
+execute_process(
+    COMMAND dpkg-parsechangelog -SVersion
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+    RESULT_VARIABLE DPKG_RESULT
+)
+
+if(NOT DPKG_RESULT EQUAL 0)
+    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+endif()
+
 project(mx-packageinstaller
-    VERSION 25.7
+    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
     DESCRIPTION "MX Package Installer - A tool for managing packages on MX Linux"
     LANGUAGES CXX
 )
@@ -32,6 +45,19 @@
 # Set C++ standard
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+# Enable compile commands export for IDEs and tools
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
+# Optimize for Ninja builds
+if(CMAKE_GENERATOR STREQUAL "Ninja")
+    # Enable colored output for Ninja
+    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+        add_compile_options(-fdiagnostics-color=always)
+    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+        add_compile_options(-fcolor-diagnostics)
+    endif()
+endif()
 
 # Option to use clang for testing builds
 option(USE_CLANG "Use clang compiler" OFF)
@@ -62,39 +88,38 @@
 
 # Define source files
 set(SOURCES
-    log.cpp
-    main.cpp
-    mainwindow.cpp
-    lockfile.cpp
-    versionnumber.cpp
-    aptcache.cpp
-    remotes.cpp
-    about.cpp
-    cmd.cpp
+    src/log.cpp
+    src/main.cpp
+    src/mainwindow.cpp
+    src/lockfile.cpp
+    src/versionnumber.cpp
+    src/aptcache.cpp
+    src/remotes.cpp
+    src/about.cpp
+    src/cmd.cpp
 )
 
 set(HEADERS
-    log.h
-    mainwindow.h
-    lockfile.h
-    versionnumber.h
-    aptcache.h
-    remotes.h
-    about.h
-    cmd.h
+    src/log.h
+    src/mainwindow.h
+    src/lockfile.h
+    src/versionnumber.h
+    src/aptcache.h
+    src/remotes.h
+    src/about.h
+    src/cmd.h
 )
 
 set(UI_FILES
-    mainwindow.ui
+    src/mainwindow.ui
 )
 
 set(RESOURCE_FILES
     images.qrc
 )
 
-set(TRANSLATION_FILES
-    translations/mx-packageinstaller_en.ts
-)
+# Get all translation files
+file(GLOB TRANSLATION_FILES "translations/*.ts")
 
 # Create the executable
 add_executable(mx-packageinstaller
@@ -144,9 +169,12 @@
 if(CMAKE_BUILD_TYPE STREQUAL "Release")
     target_compile_definitions(mx-packageinstaller PRIVATE NDEBUG)
     target_compile_options(mx-packageinstaller PRIVATE -O3)
-    
-    # Only add LTO for GCC, not Clang
-    if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT USE_CLANG)
+
+    # Add LTO - different flags for different compilers
+    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
+        target_compile_options(mx-packageinstaller PRIVATE -flto=thin)
+        target_link_options(mx-packageinstaller PRIVATE -flto=thin)
+    else()
         target_compile_options(mx-packageinstaller PRIVATE -flto=auto)
         target_link_options(mx-packageinstaller PRIVATE
             -flto=auto
@@ -159,6 +187,7 @@
 # Handle translations
 qt6_add_translations(mx-packageinstaller
     TS_FILES ${TRANSLATION_FILES}
+    QM_FILES_OUTPUT_VARIABLE qm_files
 )
 
 # Set target properties
@@ -167,9 +196,15 @@
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
 )
 
+# Install target (required by Debian build system)
+# Other files are handled by debian/install
+install(TARGETS mx-packageinstaller
+    RUNTIME DESTINATION bin
+)
+
 # Add tests if requested
 if(BUILD_TESTS)
     message(STATUS "Building with tests enabled")
-    add_subdirectory(tests)
-endif()
-
+    add_subdirectory(Testing)
+endif()
+
