=== debian/changelog ===
mx-packageinstaller (25.08.2) mx; urgency=medium

  * Fix VersionNumber comparison to match dpkg semantics

 -- Adrian <adrian@mxlinux.org>  Wed, 20 Aug 2025 16:51:35 -0400
