## mx-packageinstaller 25.09.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # **********************************************************************
-# * Copyright (C) 2017 MX Authors
+# * Copyright (C) 2017-2025 MX Authors
 # *
 # * Authors: Adrian
 # *          Dolphin_Oracle
@@ -23,17 +23,35 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-# Get version from debian/changelog
-execute_process(
-    COMMAND dpkg-parsechangelog -SVersion
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    RESULT_VARIABLE DPKG_RESULT
-)
-
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+# Allow selecting clang before project() to ensure proper toolchain detection
+option(USE_CLANG "Use clang compiler" OFF)
+if(USE_CLANG)
+    set(CMAKE_C_COMPILER clang)
+    set(CMAKE_CXX_COMPILER clang++)
+    message(STATUS "Using clang compiler")
+endif()
+
+# Version detection with override and fallback
+set(PROJECT_VERSION_OVERRIDE "" CACHE STRING "Override project version (e.g. 1.2.3)")
+set(PROJECT_VERSION_FROM_CHANGELOG "")
+find_program(DPKG_PARSECHANGELOG_EXECUTABLE NAMES dpkg-parsechangelog)
+if(PROJECT_VERSION_OVERRIDE)
+    set(PROJECT_VERSION_FROM_CHANGELOG ${PROJECT_VERSION_OVERRIDE})
+elseif(DPKG_PARSECHANGELOG_EXECUTABLE)
+    execute_process(
+        COMMAND ${DPKG_PARSECHANGELOG_EXECUTABLE} -SVersion
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        RESULT_VARIABLE DPKG_RESULT
+    )
+    if(NOT DPKG_RESULT EQUAL 0 OR PROJECT_VERSION_FROM_CHANGELOG STREQUAL "")
+        set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
+        message(WARNING "Failed to get version from debian/changelog; defaulting to ${PROJECT_VERSION_FROM_CHANGELOG}")
+    endif()
+else()
+    set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
+    message(WARNING "dpkg-parsechangelog not found; defaulting to ${PROJECT_VERSION_FROM_CHANGELOG}")
 endif()
 
 project(mx-packageinstaller
@@ -59,15 +77,6 @@
     endif()
 endif()
 
-# Option to use clang for testing builds
-option(USE_CLANG "Use clang compiler" OFF)
-if(USE_CLANG)
-    set(CMAKE_C_COMPILER clang)
-    set(CMAKE_CXX_COMPILER clang++)
-    set(CMAKE_CXX_COMPILER_ID "Clang")
-    message(STATUS "Using clang compiler")
-endif()
-
 # Option to build tests
 option(BUILD_TESTS "Build unit tests" OFF)
 
@@ -91,6 +100,7 @@
     src/log.cpp
     src/main.cpp
     src/mainwindow.cpp
+    src/checkableheaderview.cpp
     src/lockfile.cpp
     src/versionnumber.cpp
     src/aptcache.cpp
@@ -102,6 +112,7 @@
 set(HEADERS
     src/log.h
     src/mainwindow.h
+    src/checkableheaderview.h
     src/lockfile.h
     src/versionnumber.h
     src/aptcache.h
@@ -115,7 +126,7 @@
 )
 
 set(RESOURCE_FILES
-    images.qrc
+    src/images.qrc
 )
 
 # Get all translation files
@@ -152,7 +163,7 @@
 if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
     target_compile_options(mx-packageinstaller PRIVATE -Werror=return-stack-address)
 else()
-    target_compile_options(mx-packageinstaller PRIVATE 
+    target_compile_options(mx-packageinstaller PRIVATE
         -Werror=return-local-addr
         # Suppress false positive LTO warnings with Qt6 QHash (GCC only)
         -Wno-alloc-size-larger-than
@@ -163,6 +174,7 @@
 target_compile_definitions(mx-packageinstaller PRIVATE
     QT_DEPRECATED_WARNINGS
     QT_DISABLE_DEPRECATED_BEFORE=0x060000
+    VERSION="${PROJECT_VERSION}"
 )
 
 # Release-specific optimizations
@@ -187,6 +199,7 @@
 # Handle translations
 qt6_add_translations(mx-packageinstaller
     TS_FILES ${TRANSLATION_FILES}
+    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
     QM_FILES_OUTPUT_VARIABLE qm_files
 )
 
@@ -207,4 +220,3 @@
     message(STATUS "Building with tests enabled")
     add_subdirectory(Testing)
 endif()
-
