## mx-packageinstaller 25.12

=== debian/changelog ===
mx-packageinstaller (25.12) mx; urgency=medium

  * Move .Platform packages from Apps to Runtime Flatpak category

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Dec 2025 10:55:41 -0500
