## mx-packageinstaller 25.12.4

=== debian/changelog ===
mx-packageinstaller (25.12.4) mx; urgency=medium

  * Cache flatpak listings and normalize refs for user scope
  * List flatpak versions that were removed from repos
  * Autoajust flatpak columns
  * Ensure user flatpak remotes are initialized when switching scope
  * Cache flatpak remote listing to avoid duplicate remote-ls on tab switch
  * Show Flatpak branch column on pre-Trixie Debian
  * UI improvements: progress bar should not flash anymore

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Dec 2025 17:27:25 -0500
