## mx-packageinstaller 26.01.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,30 +33,39 @@
 
 # Version detection with override and fallback
 set(PROJECT_VERSION_OVERRIDE "" CACHE STRING "Override project version (e.g. 1.2.3)")
-set(PROJECT_VERSION_FROM_CHANGELOG "")
-find_program(DPKG_PARSECHANGELOG_EXECUTABLE NAMES dpkg-parsechangelog)
-if(PROJECT_VERSION_OVERRIDE)
-    set(PROJECT_VERSION_FROM_CHANGELOG ${PROJECT_VERSION_OVERRIDE})
-elseif(DPKG_PARSECHANGELOG_EXECUTABLE)
-    execute_process(
-        COMMAND ${DPKG_PARSECHANGELOG_EXECUTABLE} -SVersion
-        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-        OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
-        OUTPUT_STRIP_TRAILING_WHITESPACE
-        RESULT_VARIABLE DPKG_RESULT
-    )
-    if(NOT DPKG_RESULT EQUAL 0 OR PROJECT_VERSION_FROM_CHANGELOG STREQUAL "")
-        set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
-        message(WARNING "Failed to get version from debian/changelog; defaulting to ${PROJECT_VERSION_FROM_CHANGELOG}")
+set(PROJECT_VERSION_FROM_METADATA "")
+
+if(DEFINED PROJECT_VERSION_OVERRIDE AND NOT "${PROJECT_VERSION_OVERRIDE}" STREQUAL "")
+    set(PROJECT_VERSION_FROM_METADATA "${PROJECT_VERSION_OVERRIDE}")
+    message(STATUS "Using version override: ${PROJECT_VERSION_FROM_METADATA}")
+elseif(EXISTS ${CMAKE_SOURCE_DIR}/PKGBUILD)
+    file(READ ${CMAKE_SOURCE_DIR}/PKGBUILD PROJECT_PKGBUILD_CONTENT)
+    string(REGEX MATCH "(^|[\r\n])[ \t]*pkgver=([^ \t\r\n]+)" _pkgver_match "${PROJECT_PKGBUILD_CONTENT}")
+    set(PROJECT_PKGBUILD_VER "${CMAKE_MATCH_2}")
+    string(REGEX MATCH "(^|[\r\n])[ \t]*pkgrel=([^ \t\r\n]+)" _pkgrel_match "${PROJECT_PKGBUILD_CONTENT}")
+    set(PROJECT_PKGBUILD_REL "${CMAKE_MATCH_2}")
+    if(_pkgver_match)
+        # Support pkgver=${PKGVER:-<version>} default syntax
+        string(REGEX MATCH "^\\$\\{PKGVER:-([^}]+)\\}$" _pkgver_default_match "${PROJECT_PKGBUILD_VER}")
+        if(_pkgver_default_match)
+            set(PROJECT_PKGBUILD_VER "${CMAKE_MATCH_1}")
+        endif()
+        set(PROJECT_VERSION_FROM_METADATA "${PROJECT_PKGBUILD_VER}")
+        if(_pkgrel_match)
+            set(PROJECT_VERSION_PKGREL "${PROJECT_PKGBUILD_REL}")
+        endif()
+        message(STATUS "Using version from PKGBUILD: ${PROJECT_VERSION_FROM_METADATA}")
     endif()
-else()
-    set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
-    message(WARNING "dpkg-parsechangelog not found; defaulting to ${PROJECT_VERSION_FROM_CHANGELOG}")
+endif()
+
+if("${PROJECT_VERSION_FROM_METADATA}" STREQUAL "")
+    message(WARNING "Could not determine version; defaulting to 0.0.0")
+    set(PROJECT_VERSION_FROM_METADATA "0.0.0")
 endif()
 
 project(mx-packageinstaller
-    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
-    DESCRIPTION "MX Package Installer - A tool for managing packages on MX Linux"
+    VERSION ${PROJECT_VERSION_FROM_METADATA}
+    DESCRIPTION "MX Package Installer - A tool for managing packages on Arch Linux"
     LANGUAGES CXX
 )
 
@@ -86,7 +95,6 @@
     Gui
     Widgets
     Network
-    Xml
     LinguistTools
 )
 
@@ -103,7 +111,6 @@
     src/checkableheaderview.cpp
     src/lockfile.cpp
     src/versionnumber.cpp
-    src/aptcache.cpp
     src/remotes.cpp
     src/about.cpp
     src/cmd.cpp
@@ -115,7 +122,6 @@
     src/checkableheaderview.h
     src/lockfile.h
     src/versionnumber.h
-    src/aptcache.h
     src/remotes.h
     src/about.h
     src/cmd.h
@@ -146,7 +152,6 @@
     Qt6::Gui
     Qt6::Widgets
     Qt6::Network
-    Qt6::Xml
 )
 
 # Set compiler flags
@@ -209,11 +214,22 @@
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
 )
 
-# Install target (required by Debian build system)
-# Other files are handled by debian/install
 install(TARGETS mx-packageinstaller
     RUNTIME DESTINATION bin
 )
+
+# Install desktop file
+install(FILES mx-packageinstaller.desktop DESTINATION share/applications)
+
+# Install icons
+install(FILES icons/mx-packageinstaller.svg DESTINATION share/icons/hicolor/scalable/apps)
+install(FILES icons/mx-packageinstaller.png DESTINATION share/icons/hicolor/48x48/apps)
+
+# Install translations
+install(FILES ${qm_files} DESTINATION share/locale/)
+
+# Install help files
+install(DIRECTORY help/ DESTINATION share/doc/mx-packageinstaller)
 
 # Add tests if requested
 if(BUILD_TESTS)
