## mx-packageinstaller 26.01.4

=== debian/changelog ===
mx-packageinstaller (26.01.4) mx; urgency=medium

  * Performance fix: switching tabs should work better
  * Fix hide/show libs for MX Test and Backports tabs

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Jan 2026 11:35:24 -0500
