## mx-packageinstaller 26.01.6

=== debian/changelog ===
mx-packageinstaller (26.01.6) mx; urgency=medium

  * Fix for XRDP sessions

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Jan 2026 08:06:01 -0500
